Date: Wednesday, February 14, 2018 @ 14:45:54
  Author: archange
Revision: 294385

archrelease: copy trunk to community-x86_64

Added:
  merlin/repos/community-x86_64/
  merlin/repos/community-x86_64/PKGBUILD
    (from rev 294384, merlin/trunk/PKGBUILD)

----------+
 PKGBUILD |   35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

Copied: merlin/repos/community-x86_64/PKGBUILD (from rev 294384, 
merlin/trunk/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD                           (rev 0)
+++ community-x86_64/PKGBUILD   2018-02-14 14:45:54 UTC (rev 294385)
@@ -0,0 +1,35 @@
+# Maintainer: Bruno Pagani <archa...@archlinux.org>
+
+pkgname=merlin
+pkgver=3.0.5
+pkgrel=1
+pkgdesc="Context sensitive completion for OCaml in Vim and Emacs"
+arch=('x86_64')
+url="https://github.com/ocaml/merlin";
+license=('MIT')
+options=('!strip')
+depends=('glibc')
+makedepends=('ocaml-findlib' 'ocaml-yojson' 'emacs')
+source=(${pkgname}-${pkgver}.tar.gz::"${url}/archive/v${pkgver}.tar.gz")
+sha256sums=('c0e88492d609c9b161dab517af077a26d12398718b97e615684f1ba9bed00c6e')
+
+build() {
+    cd ${pkgname}-${pkgver}
+    ./configure \
+        --prefix "/usr" \
+        --vimdir "/usr/share/vim/vimfiles" \
+        --enable-compiled-emacs-mode
+    make
+}
+
+check() {
+    cd ${pkgname}-${pkgver}
+    make test || warning "Tests failed"
+}
+
+package() {
+    cd ${pkgname}-${pkgver}
+    make DESTDIR="${pkgdir}" install
+
+    install -Dm644 LICENSE_MIT.txt 
"${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE.txt
+}

Reply via email to